Create API Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"url": "<string>",
"method": "<string>",
"mandatory": true,
"headers": {
"Content-Type": "<string>"
},
"body": [
{
"type": "<string>",
"values": {
"data": "<string>"
}
}
],
"static_body": "<string>",
"required": [
"<string>"
],
"response": {
"prompt": "<string>"
},
"run_before_call": true,
"type": "<string>"
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"url": "<string>",
"method": "<string>",
"mandatory": True,
"headers": { "Content-Type": "<string>" },
"body": [
{
"type": "<string>",
"values": { "data": "<string>" }
}
],
"static_body": "<string>",
"required": ["<string>"],
"response": { "prompt": "<string>" },
"run_before_call": True,
"type": "<string>"
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
action_timing: '<string>',
type: '<string>',
webhook: {
url: '<string>',
method: '<string>',
mandatory: true,
headers: {'Content-Type': '<string>'},
body: JSON.stringify([{type: '<string>', values: {data: '<string>'}}]),
static_body: '<string>',
required: ['<string>'],
response: {prompt: '<string>'},
run_before_call: true,
type: '<string>'
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>",
"type": "<string>"
}
}Create-Action
Create API Action
Create webhook/API actions for external integrations.
POST
/
v2
/
_actions
Create API Action
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Action display name. Example:
My API ActionAction purpose. Example:
Post API ActionWhen to trigger:
"DURING"Action type:
"WEBHOOK"Webhook configuration object
Target API endpoint. Example:
"https://api.publicapis.org/entries"HTTP method. Example:
"POST"Require confirmation before execution. Example:
falseOptional static body payload
List of required fields
Run pre-call logic. Example:
falseWebhook type. Example:
"static"Response
201 Created - Data extraction action created successfullyRequest context ID
⌘I

